/* On small screens */

@media (max-width: 768px) {
	/* Use a smaller font */

	body {
		font-size: smaller;
	}

	/* Hide sidebar */

	#sidebar-chevron,
	aside {
		display: none;
	}
}

/* Fonts */

body {
	font-family: 'Arial', Sans-Serif;
	overflow-y: scroll;
}

h1, h2, h3 {
	font-family: 'Futura PT', 'Arial', Sans-Serif;
}

/* Hide elements */
.hidden {
	display: none !important;
}

/* Set margins */

body {
	margin: 0;
}

h1, {
	margin: 8px;
	margin-top: 16px;
}

h2 {
	margin: 8px;
}

h3 {
	margin: 8px;
}

/* Image responsive layout */

img {
	max-width: 100%;
}

/* Header and footer styling */

header, footer {
	margin: 8px;
	padding: 8px;
	text-align: center;
}

header > h1 a {
	text-decoration: none;
}

header > h1 img {
	height: 128px;
}

/* Sidebar and main layout */

.flex-row {
	display: flex;
	justify-content: center;
	flex-flow: row nowrap;
}

aside {
	min-width: 256px;
	max-width: 256px;
	padding: 8px;
}

main {
	width: 100%;
	max-width: 992px;
	padding: 8px;
}

/* Navigation and details list layout */

ul.details,
footer > nav > ul,
header > nav > ul {
	margin: 0;
	display: flex;
	flex-flow: row wrap;
	align-items: center;
}

footer > nav > ul,
header > nav > ul {
	justify-content: center;
}

/* Navigation and details list styling */

ul.details,
nav > ul {
	list-style: none;
}

ul.details {
	padding: 0;
}

nav > ul {
	padding: 4px;
}

aside > nav > ul > li {
	margin: 10px;
}

ul.details > li:not(:last-child),
nav > ul > li:not(:last-child) {
	padding-right: 4px;
}

main > .details {
	margin: 4px;
}

/* Interactive elements styling */

input, select, textarea, button
{
	font-family: inherit;
	font-size: inherit;
}

/* Styling click handler elements */

[onclick] {
	cursor: pointer;
}

/* Styling theme picker */

label[for="theme"] {
	margin-top: 2px;
	margin-right: 4px;
}

/* Anchor styling */

a:link, a:visited, a:hover, a:active {
	color: inherit;
	text-decoration: none;
}

/* Icons and buttons */

a.material-icons,
span.material-icons {
	font-size: 18px;
	text-decoration: none;
	user-select: none;
}

a.material-icons::before,
span.material-icons::before {
	width: 18px;
	height: 18px;
}

ul > li.right {
	margin-left: auto;
}

ul > li.more {
	order: 1;
}

ul > li.more .material-icons::before {
	content: 'arrow_right';
}

ul > li.more.expanded .material-icons::before {
	content: 'arrow_left';
}

ul > li.more:not(.expanded) ~ li {
	display: none;
}

.post:not(.original) .goto,
.post:not(.original) .hide,
.post:not(.original) .favor {
    display: none;
}

.hide > .material-icons::before {
	content: 'visibility_off';
}

.minimized .hide > .material-icons::before {
	content: 'visibility';
}

#sidebar-chevron .material-icons::before {
	content: 'chevron_left';
}

#sidebar-chevron .expanded.material-icons::before {
	content: 'chevron_right';
}

/* Creation form layout and styling */

div#create {
	display: flex;
	flex-flow: column nowrap;
}

div#create [disabled] {
	display: none;
}

div#create > select,
div#create > input,
div#create > #submit,
div#create > textarea {
	margin: 4px;
}

div#create > textarea {
	resize: vertical;
}

div#create > #submit {
	width: max-content;
	align-self: center;
}

/* Threads and posts styling */

section.thread:not(:last-child) {
    padding-bottom: 8px;
    border-bottom-width: thin;
    border-bottom-style: solid;
}

section.minimized.thread {
    max-height: 64px;
    overflow: hidden;
    opacity: 0.2;
}

section.minimized.thread > h3 {
    display: none;
}

section.thread article.post:not(:last-child) {
    margin-bottom: 8px;
}

section.thread ul.details,
article.post ul.details {
    margin-left: 0;
    margin-bottom: 8px;
}

article.post {
    padding: 8px;
}

article.post > .details {
    align-items: start;
}

